Skip to content
getgeolens.com

List Audit Logs

GET
/admin/audit-logs/
curl --request GET \
--url 'https://example.com/api/admin/audit-logs/?skip=0&limit=50' \
--header 'Authorization: Bearer <token>'

Query audit logs with optional filters (admin only).

user_id
Any of:
string format: uuid
action
Any of:
string
resource_type
Any of:
string
date_from
Any of:
string format: date-time
date_to
Any of:
string format: date-time
search
Any of:
string
skip
Skip
integer
0
limit
Limit
integer
default: 50 >= 1 <= 200

Successful Response

Media type application/json
AuditLogListResponse
object
logs
required
Logs
Array<object>
AuditLogResponse
object
id
required
Id
string format: uuid
user_id
required
User Id
string format: uuid
username
Any of:
string
action
required
Action
string
resource_type
required
Resource Type
string
resource_id
required
Any of:
string format: uuid
details
required
Any of:
object
key
additional properties
any
ip_address
required
Any of:
string
created_at
required
Created At
string format: date-time
total
required
Total
integer
Example generated
{
"logs": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"username": "example",
"action": "example",
"resource_type": "example",
"resource_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"details": {},
"ip_address": "example",
"created_at": "2026-04-15T12:00:00Z"
}
],
"total": 1
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}